<?php

// This class represents the content blocks that appear on the navigation pages. Each has
// a coloured header bar, a round-cornered rectangular border, an optional summary image, 
// summary content and an optional link to an ArticlePage

class ContentBlockPage extends Page {
	static $db = array(
		'ColumnRef' => "Enum('columnLeft, columnMiddle, columnRight')",
		'RowNumber' => 'Int',
		'BlockColour' => "Enum('blue, bluegrey, brickred, mustardyellow, mossgreen')",
		);
	static $has_one = array(
		'TeaserImage' => 'Image'
		);
	
	static $defaults = array(
		'ColumnRef' => 'columnLeft',
		'RowNumber' => 1,
		'BlockColour' => 'blue'
		);
		
	static $icon = "themes/tellura/images/treeicons/blockpage";
	
	function getCMSFields() {
		$fields = parent::getCMSFields();
		$rowOptions = array(1, 2, 3, 4, 5, 6, 7, 8);		
		$fields->addFieldToTab("Root.Content.Main", new DropdownField('ColumnRef', 'Which column?', singleton('ContentBlockPage')->dbObject('ColumnRef')->enumValues()), 'Content');
		$fields->addFieldToTab("Root.Content.Main", new DropdownField('RowNumber', 'Row number', $rowOptions), 'Content');
		$fields->addFieldToTab("Root.Content.Main", new DropdownField('BlockColour', 'Header bar colour?', singleton('ContentBlockPage')->dbObject('BlockColour')->enumValues()), 'Content');
		$fields->addFieldToTab("Root.Content.Images", new ImageField('TeaserImage'));
		return $fields;
	}
	
}

class ContentBlockPage_Controller extends Page_Controller {
	
}

?>